xine-lib: rmff_prop_t Struct Reference

xine-lib 1.2.12

Data Fields
rmff_prop_t Struct Reference

`#include <rmff.h>`

## Data Fields
uint32_t | object_id
uint32_t | size
uint16_t | object_version
uint32_t | max_bit_rate
uint32_t | avg_bit_rate
uint32_t | max_packet_size
uint32_t | avg_packet_size
uint32_t | num_packets
uint32_t | duration
uint32_t | preroll
uint32_t | index_offset
uint32_t | data_offset
uint16_t | num_streams
uint16_t | flags

## Field Documentation

## ◆ avg_bit_rate

uint32_t rmff_prop_t::avg_bit_rate

Referenced by rmff_dump_prop(), rmff_fix_header(), and rmff_new_prop().

## ◆ avg_packet_size

uint32_t rmff_prop_t::avg_packet_size

Referenced by rmff_dump_prop(), rmff_fix_header(), and rmff_new_prop().

## ◆ data_offset

uint32_t rmff_prop_t::data_offset

Referenced by rmff_dump_prop(), rmff_fix_header(), and rmff_new_prop().

## ◆ duration

uint32_t rmff_prop_t::duration

Referenced by rmff_dump_prop(), rmff_fix_header(), and rmff_new_prop().

## ◆ flags

uint16_t rmff_prop_t::flags

Referenced by rmff_dump_prop(), and rmff_new_prop().

## ◆ index_offset

uint32_t rmff_prop_t::index_offset

Referenced by rmff_dump_prop(), and rmff_new_prop().

## ◆ max_bit_rate

uint32_t rmff_prop_t::max_bit_rate

Referenced by rmff_dump_prop(), and rmff_new_prop().

## ◆ max_packet_size

uint32_t rmff_prop_t::max_packet_size

Referenced by rmff_dump_prop(), and rmff_new_prop().

## ◆ num_packets

uint32_t rmff_prop_t::num_packets

Referenced by rmff_dump_prop(), rmff_fix_header(), and rmff_new_prop().

## ◆ num_streams

uint16_t rmff_prop_t::num_streams

Referenced by real_setup_and_get_header(), rmff_dump_prop(), rmff_fix_header(), and rmff_new_prop().

## ◆ object_id

uint32_t rmff_prop_t::object_id

Referenced by rmff_dump_prop(), and rmff_new_prop().

## ◆ object_version

uint16_t rmff_prop_t::object_version

Referenced by rmff_dump_prop(), and rmff_new_prop().

## ◆ preroll

uint32_t rmff_prop_t::preroll

Referenced by rmff_dump_prop(), and rmff_new_prop().

## ◆ size

uint32_t rmff_prop_t::size

Referenced by rmff_dump_prop(), rmff_fix_header(), and rmff_new_prop().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/input/libreal/rmff.h